> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/resources/managed-services/getmanagedservicesplan-method.md).

# GetManagedServicesPlan Method

## Description

Retrieves information for a Managed Services Plan.

## HTTP Request

`GET https://api.skeddly.com/api/ManagedServices/Plans/<id>`

## URL Parameters

### id

ID of the Managed Services Plan to retrieve.

Type: `string`

Required: Yes

## Query Parameters

### isIncludeDeleted

Indicates whether deleted plans can be returned.

Type: `boolean`

Required: No

Default: `false`

## Returns

A [ManagedServicesPlan](/data-types/managedservicesplan-object.md) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/ManagedServices/Plans/plan-00000001 HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/ManagedServices/Plans/plan-00000001" \
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
{
    "planId": "plan-00000001",
    "projectId": "proj-00000001",
    "planType": "start-stop-plan",
    "name": "Start Development Environment",
    
    "state": "active",
    "isEnabled": true,
    "isDeleted": false,
    
    "createdDate": "2023-02-13T00:00:00Z",
    "lastModifiedDate": "2023-02-14T00:00:00Z",
    "lastModifiedBy": "u-00000001",
    
    "schedule": {
        "scheduleType": "daily",
        "timeOfDay": "08:00:00",
        "timeZoneId": "Eastern Standard Time",
        "parameters": {
            "days": [
                "monday",
                "tuesday",
                "wednesday",
                "thursday",
                "friday"
            ]
        }
    },
    
    "parameters": {
        "startStopMode": "start-stop-combined",
        "stopTimeInSeconds": 43200
    }
}
```
